Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Colt 1.2.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## cern.jet.math
Class Mult

    java.lang.Object
      cern.jet.math.Mult

All Implemented Interfaces:
  DoubleFunction

public final class Mult
extends Object
implements DoubleFunction

Only for performance tuning of compute intensive linear algebraic computations. Constructs functions that return one of

- `a * constant`
- `a / constant`

`a` is variable, `constant` is fixed, but for performance reasons publicly accessible. Intended to be passed to `matrix.assign(function)` methods.

Field Summary
`double` | `multiplicator` Public read/write access to avoid frequent object construction.

Method Summary
`double` | `apply(double a)` Returns the result of the function evaluation.
`static Mult` | `div(double constant)` `a / constant`.
`static Mult` | `mult(double constant)` `a * constant`.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### multiplicator

    public double multiplicator

  Public read/write access to avoid frequent object construction.

Method Detail

### apply

    public final double apply(double a)

  Returns the result of the function evaluation.

  Specified by:
    `apply` in interface `DoubleFunction`
  Parameters:
    `a` - argument passed to the function.
  Returns:
    the result of the function.

### div

    public static Mult div(double constant)

  `a / constant`.

### mult

    public static Mult mult(double constant)

  `a * constant`.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Colt 1.2.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Jump to the Colt Homepage